Bug 1469365 - The ovs-dpdk pmd threads are re-created when new vm with vhostuser port is atttached.
The ovs-dpdk pmd threads are re-created when new vm with vhostuser port is at...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Aaron Conole
Christian Trautman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 02:32 EDT by Peng Liu
Modified: 2017-08-30 09:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-24 21:57:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Liu 2017-07-11 02:32:20 EDT
Description of problem:
The ovs-dpdk pmd threads are re-created when new vm with vhostuser port is atttached.

Version-Release number of selected component (if applicable):
openvswitch-2.6.1-4.1.git20161206.el7.x86_64
dpdk-16.11-5.el7fdb.x86_64

How reproducible:
It's reproducible everytime

Steps to Reproduce:
1. start ovs with following other_config
{dpdk-init="true", dpdk-lcore-mask="0xc", dpdk-socket-mem="2048,2048", pmd-cpu-mask="0xf0"}
2. check the LWP/TID of the pmd thread.
# ps -eL | grep pmd
   6748  109368 ?        00:00:13 pmd231
   6748  109369 ?        00:00:13 pmd230
# ovs-appctl dpif-netdev/pmd-rxq-show                                                        
pmd thread numa_id 0 core_id 4:
        isolated : false
        port: dpdk1     queue-id: 0
        port: vhud13fa949-7c    queue-id: 0
pmd thread numa_id 0 core_id 6:
        isolated : false
        port: dpdk0     queue-id: 0
        port: vhue0018a81-1a    queue-id: 0

3. boot up a vm with a vhostuser interface.

4. check the LWP/TID of the pmd thread.
#ps -eL | grep pmd
   6748  109510 ?        00:05:55 pmd233
   6748  109511 ?        00:05:55 pmd232

# ovs-appctl dpif-netdev/pmd-rxq-show                                                        
pmd thread numa_id 0 core_id 4:
        isolated : false
        port: dpdk1     queue-id: 0
        port: vhud13fa949-7c    queue-id: 0
        port: vhu0b3ae154-42    queue-id: 0
pmd thread numa_id 0 core_id 6:
        isolated : false
        port: dpdk0     queue-id: 0
        port: vhue0018a81-1a    queue-id: 0
        port: vhu4a4c10d1-86    queue-id: 0

Actual results:
The TID of PMD thread has changed. It means the PMD threads were re-created.

Expected results:
The thread should not be re-created, otherwise there will cause packet loss to existing ports, which should be avoid in NFV use case.


Additional info:
Comment 3 Aaron Conole 2017-07-19 13:54:13 EDT
Can you rerun this with 2.7?  The pmd rebalancing / restarting code was reworked for the 2.7 series.
Comment 4 Peng Liu 2017-07-20 00:47:01 EDT
(In reply to Aaron Conole from comment #3)
> Can you rerun this with 2.7?  The pmd rebalancing / restarting code was
> reworked for the 2.7 series.

Checked with openvswitch-2.7.1-4.git20170710.el7fdb.x86_64, no such issue. PMDs were not recreated.
Comment 5 Aaron Conole 2017-07-21 10:09:21 EDT
Given that OvS 2.7 does have the refactored pmd thread construction, is it possible to close this as fixed in latest?
Comment 6 Peng Liu 2017-07-24 21:57:36 EDT
Ok.
(In reply to Aaron Conole from comment #5)
> Given that OvS 2.7 does have the refactored pmd thread construction, is it
> possible to close this as fixed in latest?

Note You need to log in before you can comment on or make changes to this bug.